Subject: bug#11588: 24.0.97; Left mouse click setting the mark every time?!??

From: "Drew Adams" <[email-masked]>
Date: Wed, 30 May 2012 11:23:49 -0700

> Although, isn't this part of the job of a window system? 
> Something like: When a mouse button is pressed, only start 
> sending mouse-move events after the mouse has travelled at 
> least a small distance? Otherwise every click on an icon with 
> a non-100% steady hand would be interpreted as a request to 
> move the icon. Oh my, GUI stuff is complicated ;-).

The window mgr doesn't know what Emacs defines as a drag, and it has no notion
of setting point.  Emacs should define the behavior for itself.  The Emacs mouse
is a bit special all 'round - much of how it behaves is particular to Emacs.